<?php 
$table = 'entidad';
if (!Schema::hasTable($table)) { 
	Schema::create($table, function ($table) {
	    $table->bigIncrements('id');
	    $table->string('tipe_document',60);
	    $table->bigInteger('ruc');
	   	$table->string('apaterno',60);
	   	$table->string('amaterno',60);
	   	$table->string('nombre1',60);
	   	$table->string('nombre2',60);
	   	$table->string('nsocial',60);
	   	$table->string('nomenclatura',60);
	   	$table->string('direccion',60)->nullable(true);
	   	$table->string('email',60);
	   	$table->integer('is_aduanas')->nullable(true)->default(0);
	   	$table->integer('pais_id');
	   	$table->integer('provincias_id');
	   	$table->index(['pais_id', 'provincias_id']);
	    $table->timestamps();
	});
}
unset($table);
?>
